# Ordering Patch Cable Move ![](https://docs.equinix.com/assets/images/OrderToMovePatchCables-10a628d023dd72d7028c80d2cf7730b6.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. To get Smart Hands details, you must have `Smart Hands` permission. 2. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 3. Get Smart Hands Types - Send a `GET` request to the [`/v1/orders/smarthands/types`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/smarthandtypes.md) endpoint to get all Smart Hands order types. You may skip this step if you already know the Smart Hands order type. 4. Get Location Information - Send a `GET` request to the [`/v1/orders/smarthands/locations`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/getlocation.md) endpoint to retrieve available IBX locations that you have access to. You may skip this step if you already know the location information. ## Order Move Patch Cables[​](#order-move-patch-cables "Direct link to Order Move Patch Cables") To place an order for patch cables to be moved between devices by an Equinix IBX Technician, send a `POST` request to the [`/v1/orders/smarthands/moveJumperCable`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandmovejumpercableorder.md) endpoint. This can only be done by a user with Smart Hands ordering permission. Example cURL for moving a patch cable without additional information, attachments, or contacts\*\* ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "1",     "scopeOfWork": "Move cable from Server01 to Server 09, and ensure cable tag is easily seen at all times. Cable ID is 1-12345-67890. Any available slots or ports."   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Example cURL for moving a patch cable with additional information, attachments, and contacts: > **Note** > > Before creating an order with attachment, call the [`Attachments File`](https://docs.equinix.com/api-catalog/attachmentsv1/attachments/createattachment.md) endpoint. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{   "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "1",     "cableId": "1-12345-67890",     "currentDeviceDetails": {       "name": "NH-Server-01",       "slot": "50",       "port": "50"     },     "newDeviceDetails": {       "name": "NH-Server-09",       "slot": "Next Available",       "port": "Next Available"     },     "scopeOfWork": "Refer to attachment for cable details.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "MoveCablesInstructions.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` Example cURL for moving multiple patch cables without additional information, attachments, or contacts: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{   "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "12+",     "scopeOfWork": "Move all cables from Server01 to Server 09, and ensure cable tag is easily seen at all times. Any available slots or ports"   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Example cURL for moving multiple patch cables with additional information, attachments, and contacts: > **Note** > > Before creating an order with attachment, call the [`Attachments File`](https://docs.equinix.com/api-catalog/attachmentsv1/attachments/createattachment.md) endpoint. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/moveJumperCable" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "12+",     "scopeOfWork": "Refer to attachment for cable details.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "MoveCablesInstructions.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` Sample Response: ``` {   "OrderNumber": "1-457809872838" } ``` The response indicates the order was successful and returns the order number.